commit ca9c49d5a8ff07cdd6d852c0bff35bc3d2d04b7a
Author: Iustin Pop <iustin@google.com>
Date:   Sat May 31 23:39:23 2008 +0000

    Forward-port: patch 4/4 extended HVM features for 1.2
    
    This patch documents the extended HVM features.
    
    Author: schreiberal
    Reviewed-by: imsnah

diff --git a/doc/install.sgml b/doc/install.sgml
index af9d4e1..262523d 100644
--- a/doc/install.sgml
+++ b/doc/install.sgml
@@ -250,7 +250,7 @@
           </para>
         </formalpara>
         <para>
-          If you want to test the experimental HVM support
+          If you want to test the HVM support
           with Ganeti and want VNC access to the console of your
           instances, set the following two entries in
           <filename>/etc/xen/xend-config.sxp</filename>:
@@ -722,18 +722,14 @@ gnt-cluster init <replaceable>CLUSTERNAME</replaceable>
         To set up the cluster as an HVM cluster, use the
         <option>--hypervisor=xen-hvm3.1</option> option to use
         the Xen 3.1 HVM hypervisor. Note that with the
-        experimental HVM support, you will only be able to create
+        HVM support, you will only be able to create
         HVM instances in a cluster set to this hypervisor type. Mixed
         PVM/HVM clusters are not supported by the Ganeti 1.2
-        experimental HVM support. You will also need to create the VNC
+        HVM support. You will also need to create the VNC
         cluster password  file
         <filename>/etc/ganeti/vnc-cluster-password</filename>
         which contains one line with the default VNC password for the
-        cluster. Finally, you need to provide an installation ISO
-        image for HVM instance which will not only be mapped to the
-        first CDROM of the instance, but which the instance will also
-        boot from. This ISO image is expected at
-        <filename>/srv/ganeti/iso/hvm-install.iso</filename>.
+        cluster.
       </para>
 
       <para>
diff --git a/man/gnt-instance.sgml b/man/gnt-instance.sgml
index e79f05f..a5ae2ea 100644
--- a/man/gnt-instance.sgml
+++ b/man/gnt-instance.sgml
@@ -72,6 +72,13 @@
           <sbr>
 
           <arg>--hvm-boot-order <replaceable>boot-order</replaceable></arg>
+          <arg>--hvm-acpi <replaceable>ACPI-support</replaceable></arg>
+          <arg>--hvm-pae <replaceable>PAE-support</replaceable></arg>
+          <arg>--hvm-cdrom-image-path
+            <replaceable>cdrom-image-path</replaceable></arg>
+          <arg>--vnc-bind-address
+            <replaceable>vnc-bind-address</replaceable></arg>
+
           <sbr>
 
           <arg>--kernel<group choice="req">
@@ -211,6 +218,33 @@
         </para>
 
         <para>
+          The <option>--hvm-acpi</option> option specifies if Xen
+          should enable ACPI support for this HVM instance. Valid
+          values are true or false.
+        </para>
+
+        <para>
+          The <option>--hvm-pae</option> option specifies if Xen
+          should enabled PAE support for this HVM instance. Valid
+          values are true or false.
+        </para>
+
+        <para>
+          The <option>--hvm-cdrom-image-path</option> specifies the
+          path to the file xen uses to emulate a virtual CDROM drive
+          for this HVM instance. Valid values are either an
+          absolute path to an existing file or None, which disables
+          virtual CDROM support for this instance.
+        </para>
+
+        <para>
+          The <option>--vnc-bind-address</option> specifies the
+          address that the VNC listener for this instance should bind
+          to. Valid values are IPv4 addresses. Use the address 0.0.0.0
+          to bind to all available interfaces.
+        </para>
+
+        <para>
           The <option>--kernel</option> options allows the instance to
           use a custom kernel (if a filename is passed) or to use the
           default kernel (<filename>@CUSTOM_XEN_KERNEL@</filename>), if the
@@ -584,6 +618,13 @@
           <arg choice="opt">-b <replaceable>bridge</replaceable></arg>
           <arg choice="opt">--mac <replaceable>MAC-address</replaceable></arg>
           <arg>--hvm-boot-order <replaceable>boot-order</replaceable></arg>
+          <arg>--hvm-acpi <replaceable>ACPI-support</replaceable></arg>
+          <arg>--hvm-pae <replaceable>PAE-support</replaceable></arg>
+          <arg>--hvm-cdrom-image-path
+            <replaceable>cdrom-image-path</replaceable></arg>
+          <arg>--vnc-bind-address
+            <replaceable>vnc-bind-address</replaceable></arg>
+
           <sbr>
           <arg>--kernel <group choice="req">
               <arg>default</arg>
@@ -622,6 +663,33 @@
         </para>
 
         <para>
+          The <option>--hvm-acpi</option> option specifies if Xen
+          should enable ACPI support for this HVM instance. Valid
+          values are true or false.
+        </para>
+
+        <para>
+          The <option>--hvm-pae</option> option specifies if Xen
+          should enabled PAE support for this HVM instance. Valid
+          values are true or false.
+        </para>
+
+        <para>
+          The <option>--hvm-cdrom-image-path</option> specifies the
+          path to the file xen uses to emulate a virtual CDROM drive
+          for this HVM instance. Valid values are either an
+          absolute path to an existing file or None, which disables
+          virtual CDROM support for this instance.
+        </para>
+
+        <para>
+          The <option>--vnc-bind-address</option> specifies the
+          address that the VNC listener for this instance should bind
+          to. Valid values are IPv4 addresses. Use the address 0.0.0.0
+          to bind to all available interfaces.
+        </para>
+
+        <para>
           All the changes take effect at the next restart. If the
           instance is running, there is no effect on the instance.
         </para>
